package dev.pfaff.altargui;

import dev.pfaff.altargui.debug.FakeConstantProfiler;
import dev.pfaff.altargui.debug.Profiler;
import dev.pfaff.altargui.host.Host;
import dev.pfaff.altargui.internal.InternalGlobals;
import dev.pfaff.glass.opengl.GL;
import dev.pfaff.log4truth.NamedLogger;

import static java.util.Objects.requireNonNull;

/**
 * Some resources are held here as program globals for performance or complexity reasons.
 */
public final class GuiGlobals {
	public static final NamedLogger LOGGER = new NamedLogger("AltarGUI");

	public static final FakeConstantProfiler PROFILER = new FakeConstantProfiler(Profiler.NOP);

	public static final Host HOST = requireNonNull(GuiGlobalsInit.host, "host is uninitialized");

	public static final GL GL = HOST.gl();

	public static void forceInit() {
		InternalGlobals.forceInit();
	}

	public static Profiler profiler() {
		return PROFILER.get();
	}
}
